package app.furmeet.events.system.legal

object SofwareLicenses {
    fun toList(): List<SoftwareLicense> = listOf(
        SoftwareLicense(
            "Kotlin Standard Library JDK 8",
            LicensesFullText.apache2
        ),
        SoftwareLicense(
            "Kotlin Reflection",
            LicensesFullText.apache2
        ),
        SoftwareLicense(
            "Android Support AnimatedVectorDrawable",
            LicensesFullText.apache2
        ),
        SoftwareLicense(
            "Android AppCompat Library V7",
            LicensesFullText.apache2
        ),
        SoftwareLicense(
            "Material Components For Android",
            LicensesFullText.apache2
        ),
        SoftwareLicense(
            "Android Support Library V4",
            LicensesFullText.apache2
        ),
        SoftwareLicense(
            "Android Support Library Media Compat",
            LicensesFullText.apache2
        ),
        SoftwareLicense(
            "Android ConstraintLayout",
            LicensesFullText.apache2
        ),
        SoftwareLicense(
            "Anko Commons",
            LicensesFullText.apache2
        ),
        SoftwareLicense(
            "Google Gson",
            "Copyright 2008 Google Inc." + LicensesFullText.smallApache2
        ),
        SoftwareLicense(
            "Zoomage",
            "Copyright 2016 Jeffrey Sibbold" + LicensesFullText.smallApache2
        ),
        SoftwareLicense(
            "StickyHeaders",
            "Copyright 2016 Brandon Gogetap" + LicensesFullText.smallApache2
        ),
        SoftwareLicense(
            "PeekAndPop",
            "Copyright 2016 Vincent Te Tau" + LicensesFullText.smallApache2
        ),
        SoftwareLicense(
            "expandable-layout",
            "Copyright 2017 chuross" + LicensesFullText.smallApache2
        ),
        SoftwareLicense(
            "QRGenerator",
            "The MIT License (MIT)\n\nCopyright (c) 2016 AndroidMad / Mushtaq M A\n\n" + LicensesFullText.mit
        ),
        SoftwareLicense(
            "Android Tooltips",
            "The MIT License (MIT)\n\nCopyright (c) 2016. Viнt@rь\n" + LicensesFullText.mit
        ),
        SoftwareLicense(
            "Font Awesome by Dave Gandy - http://fontawesome.io",
            LicensesFullText.ofl
        ),
        SoftwareLicense(
            "Icons - Material Design",
            LicensesFullText.apache2
        ),
        SoftwareLicense(
            "ZXing Android Embedded",
            "Copyright (C) 2012-2018 ZXing authors, Journey Mobile" + LicensesFullText.smallApache2
        )
    ).sortedBy { it.software }
}